/* This file contains localizable strings for errors returned by the PCRE Library */

/*********************************************/
/* High priority localization strings.       */
/*                                           */
/* Displayed directly to end users.          */
/*********************************************/

/* These strings will be used for any 'error explanations' returned for use
   in NSError objects.  The NSError NSLocalizedDescriptionKey is set to these
   strings, so they will likely be prominently displayed via error dialog
   boxes.
*/

/* Used when an unknown / unusual error occurs. */

"Unknown error.  Code #%d." = "Unknown error.  Code #%d.";

/* The following are alternative strings for the error string text provided by the PCRE library. */

"'(?R' or '(?DIGITS' must be followed by ')'." = "'(?R' or '(?DIGITS' must be followed by ')'.";
"'\\c' at end of pattern." = "'\\c' at end of pattern.";
"Assertion expected after '(?('." = "Assertion expected after '(?('.";
"Inconsistent newline compile option." = "Inconsistent newline compile option.";
"Internal error, code overflow." = "Internal error, code overflow.";
"Internal error, overran compiling workspace." = "Internal error, overran compiling workspace.";
"Internal error, previously-checked referenced subpattern was not found." = "Internal error, previously-checked referenced subpattern was not found.";
"Internal error, the error offset argument to pcre_exec() may not be NULL." = "Internal error, the error offset argument to pcre_exec() may not be NULL.";
"Internal error, unexpected repeat." = "Internal error, unexpected repeat.";
"Invalid character range specified inside the '[a-z]' character class." = "Invalid character range specified inside the '[a-z]' character class.";
"Invalid condition '(?(0)'." = "Invalid condition '(?(0)'.";
"Invalid escape sequence inside the '[...]' character class." = "Invalid escape sequence inside the '[...]' character class.";
"Invalid UTF8 string." = "Invalid UTF8 string.";
"Lookbehind assertion is not fixed length." = "Lookbehind assertion is not fixed length.";
"Malformed '\\P' or '\\p' escape sequence." = "Malformed '\\P' or '\\p' escape sequence.";
"Malformed number or name after '(?('." = "Malformed number or name after '(?('.";
"Memory allocation failure." = "Memory allocation failure.";
"Missing ')' after comment." = "Missing ')' after comment.";
"No error." = "No error.";
"Nothing to repeat." = "Nothing to repeat.";
"Number too big in {} quantifier." = "Number too big in {} quantifier.";
"Octal values greater than '\\377' are not permitted when the UTF8 compile option is not set." = "Octal values greater than '\\377' are not permitted when the UTF8 compile option is not set.";
"PCRE does not support '\\L', '\\l', '\\N', '\\U', or '\\u'." = "PCRE does not support '\\L', '\\l', '\\N', '\\U', or '\\u'.";
"POSIX collating elements are not supported." = "POSIX collating elements are not supported.";
"POSIX named classes are supported only within a '[...]' character class." = "POSIX named classes are supported only within a '[...]' character class.";
"Reference to non-existent subpattern." = "Reference to non-existent subpattern.";
"Repeating a DEFINE group is not allowed." = "Repeating a DEFINE group is not allowed.";
"Syntax error in subpattern name (missing terminator)." = "Syntax error in subpattern name (missing terminator).";
"The '\\g' escape sequence must be followed by a non-zero number, or a braced name or number, e.g. '{name}' or '{0123}'." = "The '\\g' escape sequence must be followed by a non-zero number, or a braced name or number, e.g. '{name}' or '{0123}'.";
"The character value in '\\x{...}' sequence is too large." = "The character value in '\\x{...}' sequence is too large.";
"The closing ')' for '(?C' is missing." = "The closing ')' for '(?C' is missing.";
"The closing ')' for a '(...)' parenthesis pair is missing." = "The closing ')' for a '(...)' parenthesis pair is missing.";
"The conditional group contains more than two branches." = "The conditional group contains more than two branches.";
"The DEFINE group contains more than one branch." = "The DEFINE group contains more than one branch.";
"The escape sequence '\\C' is not permitted in a look-behind assertion." = "The escape sequence '\\C' is not permitted in a look-behind assertion.";
"The escape sequences '\\P', '\\p', and '\\X' are not valid because the PCRE library was not built with Unicode support." = "The escape sequences '\\P', '\\p', and '\\X' are not valid because the PCRE library was not built with Unicode support.";
"The name of a named subpattern must be unique when the duplicate names compile option is not set." = "The name of a named subpattern must be unique when the duplicate names compile option is not set.";
"The named subpattern exceeds the maximum length of 32 characters." = "The named subpattern exceeds the maximum length of 32 characters.";
"The number after '(?C' is greater than 255." = "The number after '(?C' is greater than 255.";
"The number of named subpatterns exceeds the maximum of 10,000." = "The number of named subpatterns exceeds the maximum of 10,000.";
"The numbers are out of order in the '{x, y}' quantifier." = "The numbers are out of order in the '{x, y}' quantifier.";
"The PCRE library was not built with UTF8 support." = "The PCRE library was not built with UTF8 support.";
"The recursive call could loop indefinitely." = "The recursive call could loop indefinitely.";
"The regular expression is too large." = "The regular expression is too large.";
"The relative subpattern reference parameter to '(?+' , '(?-' , '(?(+', or '(?(-' must be followed by a non-zero number." = "The relative subpattern reference parameter to '(?+' , '(?-' , '(?(+', or '(?(-' must be followed by a non-zero number.";
"The repeated subpattern is too long." = "The repeated subpattern is too long.";
"The start of an escape sequence, '\\', was found at end of the regular expression." = "The start of an escape sequence, '\\', was found at end of the regular expression.";
"The terminating ']' for the '[...]' character class is missing." = "The terminating ']' for the '[...]' character class is missing.";
"Unknown escape sequence specified by the character following '\\'." = "Unknown escape sequence specified by the character following '\\'.";
"Unknown POSIX class name." = "Unknown POSIX class name.";
"Unknown property name after '\\P' or '\\p'." = "Unknown property name after '\\P' or '\\p'.";
"Unmatched parentheses." = "Unmatched parentheses.";
"Unrecognized character after '(?'." = "Unrecognized character after '(?'.";
"Unrecognized character after '(?<'." = "Unrecognized character after '(?<'.";
"Unrecognized character after '(?P'." = "Unrecognized character after '(?P'.";
"Unrecognized compile option bit(s) set." = "Unrecognized compile option bit(s) set.";

